Bug 149307 - Kernel 2.6.10-1.760 (and 766) panics booting from Rocket Raid 1520 (HPT37) - "unknown bus timing".
Kernel 2.6.10-1.760 (and 766) panics booting from Rocket Raid 1520 (HPT37) - ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 03:11 EST by Ivan Jensen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-24 09:18:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Jensen 2005-02-22 03:11:26 EST
Description of problem:

Kernel panic booting from my HighPoint RocketRaid 1520 (firmware
v2.33) when I updated from kernel 2.6.10-1.741 to .760.

The output I've managed to grab:

HPT37XN: Unknown bus timing [48 4]
...
HPT37XN" Unknown bus timing [69 4]
...
Kernel Panic

Both lines appear for 766, I think only the top one appears for 760
(can check again if required).

Version-Release number of selected component (if applicable):

2.6.10-1.741_FC3 works fine
2.6.10-1.760_FC3 and 2.6.10-1.766_FC3 are both broken

How reproducible:

Happens every single time I boot with the new kernels.

Steps to Reproduce:
1. Install Fedora Core 3 on to drive on rocket raid 1520 with kernel
2.6.10-1.xxx_FC3 where xxx < 760
2. Upgrade to 760 or 766
3. Boot using new kernel
  
Actual results:

Kernel panic with HPT37XN messages above

Expected results:

Normal boot

Additional info:

I get a similar problem having upgraded the card's firmware to any
version above 2.33, even with a version of the kernel that works above
with firmware v2.33.

I am not using card's RAID capabilities or any OS LVM/Raid functions.

I can boot with a serial console and capture all boot output on
separate machine if needed.

RocketRaid 1520 is the a SATA Raid card made by HighPoint.
Comment 1 Alan Cox 2005-04-24 09:18:11 EDT
The Linux driver does not currently support the newer HPT372N configurations and
clocking setups. Its already known about but not fixed upstream.
Comment 2 Alan Cox 2005-07-11 06:03:54 EDT
Now fixed upstream

Note You need to log in before you can comment on or make changes to this bug.